use std::time::Duration;

use bevy::prelude::*;

use crate::sim::prelude::*;

pub fn advance_time(
    input: Res<ButtonInput<KeyCode>>,
    mut game_world: ResMut<GameWorld>,
    // time: Res<Time>,
) {
    if !input.just_pressed(KeyCode::Space) {
        return;
    }
    game_world.advance_time(Duration::from_secs(3600));
    // game_world.advance_time(Duration::from_secs_f32(time.delta_secs() * 3600.));
}
